Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(126)

Issue 6248080: Document <> and improve other simultanous music documentation. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 years, 3 months ago by dak
Modified:
7 years, 3 months ago
Reviewers:
Keith, Ian Hulin (gmail), kieren_macmillan, Graham Percival, Trevor Daniels
CC:
lilypond-devel_gnu.org
Base URL:
http://git.savannah.gnu.org/gitweb/?p=lilypond.git/trunk/
Visibility:
Public.

Description

Document <> and improve other simultanous music documentation. This is a side issue of 2522: it improves the documentation dealing with various ways of entering parallel music and gives the necessary information to understand <> as a special case of chords.

Patch Set 1 : New upload base, same diff. #

Total comments: 7

Patch Set 2 : Heed Ian's comments to the best of conscience and ability #

Total comments: 4

Patch Set 3 : Try addressing comments (ok ok, I did it my way). #

Total comments: 6
Unified diffs Side-by-side diffs Delta from patch set Stats (+29 lines, -3 lines) Patch
M Documentation/notation/simultaneous.itely View 1 2 3 chunks +29 lines, -3 lines 6 comments Download

Messages

Total messages: 27
Ian Hulin (gmail)
Mostly LGTM. Better idea than putting the stuff in a doc-string for a \placeholder function ...
7 years, 3 months ago (2012-06-01 17:08:19 UTC) #1
dak
http://codereview.appspot.com/6248080/diff/6001/Documentation/notation/simultaneous.itely File Documentation/notation/simultaneous.itely (right): http://codereview.appspot.com/6248080/diff/6001/Documentation/notation/simultaneous.itely#newcode82 Documentation/notation/simultaneous.itely:82: On 2012/06/01 17:08:19, Ian Hulin (gmail) wrote: > @cindex ...
7 years, 3 months ago (2012-06-01 20:12:57 UTC) #2
Trevor Daniels
LGTM, apart from one nitpick http://codereview.appspot.com/6248080/diff/11001/Documentation/notation/simultaneous.itely File Documentation/notation/simultaneous.itely (right): http://codereview.appspot.com/6248080/diff/11001/Documentation/notation/simultaneous.itely#newcode89 Documentation/notation/simultaneous.itely:89: (for more possibilities, @pxref{Simultaneous ...
7 years, 3 months ago (2012-06-01 21:40:17 UTC) #3
Keith
The issue was that s1*0 can affect the default duration of the next note, while ...
7 years, 3 months ago (2012-06-01 22:21:46 UTC) #4
dak
On 2012/06/01 22:21:46, Keith wrote: > The issue was that s1*0 can affect the default ...
7 years, 3 months ago (2012-06-02 06:26:57 UTC) #5
dak
http://codereview.appspot.com/6248080/diff/11001/Documentation/notation/simultaneous.itely File Documentation/notation/simultaneous.itely (right): http://codereview.appspot.com/6248080/diff/11001/Documentation/notation/simultaneous.itely#newcode86 Documentation/notation/simultaneous.itely:86: duration but can still be useful for attaching articulations. ...
7 years, 3 months ago (2012-06-02 06:44:30 UTC) #6
Keith
On Fri, 01 Jun 2012 23:26:57 -0700, <dak@gnu.org> wrote: > The intent of the examples ...
7 years, 3 months ago (2012-06-02 06:49:01 UTC) #7
Keith
On Fri, 01 Jun 2012 23:44:30 -0700, <dak@gnu.org> wrote: > > http://codereview.appspot.com/6248080/diff/11001/Documentation/notation/simultaneous.itely > File Documentation/notation/simultaneous.itely ...
7 years, 3 months ago (2012-06-02 06:58:19 UTC) #8
dak
"Keith OHara" <k-ohara5a5a@oco.net> writes: > On Fri, 01 Jun 2012 23:26:57 -0700, <dak@gnu.org> wrote: > ...
7 years, 3 months ago (2012-06-02 07:28:37 UTC) #9
dak
On 2012/06/02 07:28:37, dak wrote: > > music = \relative c'' { e16 d c ...
7 years, 3 months ago (2012-06-02 08:09:36 UTC) #10
dak
http://codereview.appspot.com/6248080/diff/11001/Documentation/notation/simultaneous.itely File Documentation/notation/simultaneous.itely (right): http://codereview.appspot.com/6248080/diff/11001/Documentation/notation/simultaneous.itely#newcode89 Documentation/notation/simultaneous.itely:89: (for more possibilities, @pxref{Simultaneous expressions}): On 2012/06/01 21:40:17, Trevor ...
7 years, 3 months ago (2012-06-02 09:56:57 UTC) #11
Trevor Daniels
On 2012/06/02 09:56:57, dak wrote: > What consistency? For consistency with the rest of the ...
7 years, 3 months ago (2012-06-02 12:18:26 UTC) #12
dak
tdanielsmusic@googlemail.com writes: > On 2012/06/02 09:56:57, dak wrote: > >> What consistency? > > For ...
7 years, 3 months ago (2012-06-02 13:59:35 UTC) #13
Graham Percival
On Sat, Jun 02, 2012 at 03:59:19PM +0200, David Kastrup wrote: > tdanielsmusic@googlemail.com writes: > ...
7 years, 3 months ago (2012-06-02 14:23:12 UTC) #14
Keith
On Sat, 02 Jun 2012 01:09:37 -0700, <dak@gnu.org> wrote: > On 2012/06/02 07:28:37, dak wrote: ...
7 years, 3 months ago (2012-06-02 19:10:32 UTC) #15
Keith
So now I'm just toying with David. http://codereview.appspot.com/6248080/diff/23001/Documentation/notation/simultaneous.itely File Documentation/notation/simultaneous.itely (right): http://codereview.appspot.com/6248080/diff/23001/Documentation/notation/simultaneous.itely#newcode84 Documentation/notation/simultaneous.itely:84: A chord ...
7 years, 3 months ago (2012-06-02 19:29:26 UTC) #16
dak
"Keith OHara" <k-ohara5a5a@oco.net> writes: > On Sat, 02 Jun 2012 01:09:37 -0700, <dak@gnu.org> wrote: > ...
7 years, 3 months ago (2012-06-02 19:42:52 UTC) #17
dak
http://codereview.appspot.com/6248080/diff/23001/Documentation/notation/simultaneous.itely File Documentation/notation/simultaneous.itely (right): http://codereview.appspot.com/6248080/diff/23001/Documentation/notation/simultaneous.itely#newcode94 Documentation/notation/simultaneous.itely:94: \repeat unfold 4 { c4 e } c1\f On ...
7 years, 3 months ago (2012-06-03 12:53:24 UTC) #18
Keith
lgtm http://codereview.appspot.com/6248080/diff/23001/Documentation/notation/simultaneous.itely File Documentation/notation/simultaneous.itely (right): http://codereview.appspot.com/6248080/diff/23001/Documentation/notation/simultaneous.itely#newcode94 Documentation/notation/simultaneous.itely:94: \repeat unfold 4 { c4 e } c1\f ...
7 years, 3 months ago (2012-06-04 04:10:55 UTC) #19
dak
On 2012/06/04 04:10:55, Keith wrote: > lgtm > > http://codereview.appspot.com/6248080/diff/23001/Documentation/notation/simultaneous.itely > File Documentation/notation/simultaneous.itely (right): > ...
7 years, 3 months ago (2012-06-04 09:51:18 UTC) #20
Graham Percival
LGTM, pending a serious discussion of this stuff in GLISS. http://codereview.appspot.com/6248080/diff/23001/Documentation/notation/simultaneous.itely File Documentation/notation/simultaneous.itely (right): http://codereview.appspot.com/6248080/diff/23001/Documentation/notation/simultaneous.itely#newcode263 ...
7 years, 3 months ago (2012-06-04 14:50:54 UTC) #21
dak
We'll likely take months to get the documentation connected with this delicate issue into a ...
7 years, 3 months ago (2012-06-04 15:24:20 UTC) #22
kieren_macmillan_sympatico.ca
Hi David (et al.), >> should be a comma here, not a semicolon. > > ...
7 years, 3 months ago (2012-06-04 15:39:10 UTC) #23
dak
On 2012/06/04 15:39:10, kieren_macmillan_sympatico.ca wrote: > Hi David (et al.), > > >> should be ...
7 years, 3 months ago (2012-06-04 15:53:03 UTC) #24
Graham Percival
On Mon, Jun 04, 2012 at 11:39:05AM -0400, Kieren MacMillan wrote: > Hi David (et ...
7 years, 3 months ago (2012-06-04 16:00:14 UTC) #25
dak
On 2012/06/04 16:00:14, Graham Percival wrote: > > Exactly. I have no clue why (I ...
7 years, 3 months ago (2012-06-04 16:08:58 UTC) #26
dak
7 years, 3 months ago (2012-06-05 12:26:51 UTC) #27
On 2012/06/04 14:50:54, Graham Percival wrote:

> LGTM, pending a serious discussion of this stuff in GLISS.

The topic of GLISS is not how useful we allow the documentation for existing
syntax and functionality to get.  According to its acronym, it is about
standardizing syntax, not its documentation.  So I don't see the point of
invoking its name here.

GLISS might _obsolete_ what we are talking about here, but in the mean time,
useful documentation is nothing we should try our best to avoid.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b